org.apache.tinkerpop.gremlin.process.traversal.step.filter

## Class HasTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.HasTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.HasTest.Traversals

- Enclosing class:
    HasTest

      public static class HasTest.Traversals
      extends HasTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.filter.HasTest

      `HasTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Edge,Edge>` | `get_g_E_hasLabelXknowsX()`
    `Traversal<Edge,Edge>` | `get_g_E_hasLabelXnullX()`
    `Traversal<Edge,Edge>` | `get_g_E_hasLabelXuses_traversesX()`
    `Traversal<Edge,Edge>` | `get_g_E_hasXnullX()`
    `Traversal<Edge,? extends Property<Object>>` | `get_g_E_properties_hasKeyXnull_nullX()`
    `Traversal<Edge,Double>` | `get_g_E_properties_hasKeyXnull_weightX_value()`
    `Traversal<Edge,? extends Property<Object>>` | `get_g_E_properties_hasKeyXnullX()`
    `Traversal<Edge,Edge>` | `get_g_EX11X_outV_outE_hasXid_10X(Object e11Id, Object e10Id)`
    `Traversal<Edge,Edge>` | `get_g_EX7X_hasLabelXknowsX(Object e7Id)`
    `Traversal<Vertex,Integer>` | `get_g_V_both_properties_dedup_hasKeyXageX_hasValueXgtX30XX_value()`
    `Traversal<Vertex,Integer>` | `get_g_V_both_properties_dedup_hasKeyXageX_value()`
    `Traversal<Vertex,Double>` | `get_g_V_bothE_properties_dedup_hasKeyXweightX_hasValueXltX0d3XX_value()`
    `Traversal<Vertex,Double>` | `get_g_V_bothE_properties_dedup_hasKeyXweightX_value()`
    `Traversal<Vertex,Vertex>` | `get_g_V_hasIdX1X_hasIdX2X(Object v1Id, Object v2Id)`
    `Traversal<Vertex,Long>` | `get_g_V_hasIdXemptyX_count()`
    `Traversal<Vertex,Long>` | `get_g_V_hasIdXwithinXemptyXX_count()`
    `Traversal<Vertex,Long>` | `get_g_V_hasIdXwithoutXemptyXX_count()`
    `Traversal<Vertex,Vertex>` | `get_g_V_hasLabelXnull_personX()`
    `Traversal<Vertex,Vertex>` | `get_g_V_hasLabelXnullX()`
    `Traversal<Vertex,Vertex>` | `get_g_V_hasLabelXperson_software_blahX()`
    `Traversal<Vertex,Vertex>` | `get_g_V_hasLabelXpersonX_hasLabelXsoftwareX()`
    `Traversal<Vertex,String>` | `get_g_V_hasLabelXpersonX_hasXage_notXlteX10X_andXnotXbetweenX11_20XXXX_andXltX29X_orXeqX35XXXX_name()`
    `Traversal<Vertex,String>` | `get_g_V_hasNotXageX_name()`
    `Traversal<Vertex,Vertex>` | `get_g_V_hasXage_gt_30X()`
    `Traversal<Vertex,Vertex>` | `get_g_V_hasXage_isXgt_30XX()`
    `Traversal<Vertex,Long>` | `get_g_V_hasXage_withinX27_29X_count()`
    `Traversal<Vertex,Long>` | `get_g_V_hasXage_withinX27X_count()`
    `Traversal<Vertex,Long>` | `get_g_V_hasXage_withoutX27_29X_count()`
    `Traversal<Vertex,Long>` | `get_g_V_hasXage_withoutX27X_count()`
    `Traversal<Vertex,Vertex>` | `get_g_V_hasXblahX()`
    `Traversal<Vertex,String>` | `get_g_V_hasXk_withinXcXX_valuesXkX()`
    `Traversal<Vertex,Vertex>` | `get_g_V_hasXlabel_isXsoftwareXX()`
    `Traversal<Vertex,Vertex>` | `get_g_V_hasXlocationX()`
    `Traversal<Vertex,Vertex>` | `get_g_V_hasXname_blahX()`
    `Traversal<Vertex,Vertex>` | `get_g_V_hasXname_containingXarkXX()`
    `Traversal<Vertex,Vertex>` | `get_g_V_hasXname_endingWithXasXX()`
    `Traversal<Vertex,Vertex>` | `get_g_V_hasXname_gtXmX_andXcontainingXoXXX()`
    `Traversal<Vertex,Vertex>` | `get_g_V_hasXname_markoX()`
    `Traversal<Vertex,Vertex>` | `get_g_V_hasXname_not_containingXarkXX()`
    `Traversal<Vertex,Vertex>` | `get_g_V_hasXname_not_endingWithXasXX()`
    `Traversal<Vertex,Vertex>` | `get_g_V_hasXname_not_startingWithXmarXX()`
    `Traversal<Vertex,Vertex>` | `get_g_V_hasXname_startingWithXmarXX()`
    `Traversal<Vertex,Vertex>` | `get_g_V_hasXnullX()`
    `Traversal<Vertex,Vertex>` | `get_g_V_hasXp_neqXvXX()`
    `Traversal<Vertex,Vertex>` | `get_g_V_hasXperson_name_containingXoX_andXltXmXXX()`
    `Traversal<Vertex,Integer>` | `get_g_V_hasXperson_name_markoX_age()`
    `Traversal<Vertex,Vertex>` | `get_g_V_in_hasIdXneqX1XX(Object v1Id)`
    `Traversal<Vertex,Long>` | `get_g_V_notXhasIdXwithinXemptyXXX_count()`
    `Traversal<Vertex,String>` | `get_g_V_outXcreatedX_hasXname__mapXlengthX_isXgtX3XXX_name()`
    `Traversal<Vertex,Integer>` | `get_g_V_properties_hasKeyXnull_ageX_value()`
    `Traversal<Vertex,? extends Property<Object>>` | `get_g_V_properties_hasKeyXnull_nullX()`
    `Traversal<Vertex,? extends Property<Object>>` | `get_g_V_properties_hasKeyXnullX()`
    `Traversal<Vertex,? extends Property<Object>>` | `get_g_V_properties_hasLabelXnullX()`
    `Traversal<Vertex,String>` | `get_g_V_properties_hasValueXnull_joshX_value()`
    `Traversal<Vertex,? extends Property<Object>>` | `get_g_V_properties_hasValueXnull_nullX()`
    `Traversal<Vertex,? extends Property<Object>>` | `get_g_V_properties_hasValueXnullX()`
    `Traversal<Vertex,Vertex>` | `get_g_VX1X_hasXage_gt_30X(Object v1Id)`
    `Traversal<Vertex,Vertex>` | `get_g_VX1X_hasXkeyX(Object v1Id, String key)`
    `Traversal<Vertex,Vertex>` | `get_g_VX1X_hasXname_markoX(Object v1Id)`
    `Traversal<Vertex,Vertex>` | `get_g_VX1X_out_hasIdX2_3X(Object v1Id, Object v2Id, Object v3Id)`
    `Traversal<Vertex,Vertex>` | `get_g_VX1X_out_hasIdX2X(Object v1Id, Object v2Id)`
    `Traversal<Vertex,Vertex>` | `get_g_VX1X_out_hasXid_lt_3X(Object v1Id, Object v3Id)`
    `Traversal<Vertex,Vertex>` | `get_g_VX1X_outE_hasXweight_inside_0_06X_inV(Object v1Id)`
    `Traversal<Vertex,Vertex>` | `get_g_VXv1X_hasXage_gt_30X(Object v1Id)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.filter.HasTest

      `assert_g_VX1X_out_hasXid_2_3X, g_E_hasLabelXknowsX, g_E_hasLabelXnullX, g_E_hasLabelXuses_traversesX, g_E_hasXnullX, g_E_properties_hasKeyXnull_nullX, g_E_properties_hasKeyXnull_weightX_value, g_E_properties_hasKeyXnullX, g_EX11X_outV_outE_hasXid_10AsStringX, g_EX11X_outV_outE_hasXid_10X, g_EX7X_hasLabelXknowsX, g_V_both_dedup_properties_hasKeyXageX_value, g_V_both_properties_dedup_hasKeyXageX_hasValueXgtX30XX_value, g_V_bothE_properties_dedup_hasKeyXweightX_hasValueXltX0d3XX_value, g_V_bothE_properties_dedup_hasKeyXweightX_value, g_V_hasIdX1X_hasIdX2X, g_V_hasIdXemptyX_count, g_V_hasIdXwithinXemptyXX_count, g_V_hasIdXwithoutXemptyXX_count, g_V_hasLabelXnull_personX, g_V_hasLabelXnullX, g_V_hasLabelXperson_software_blahX, g_V_hasLabelXpersonX_hasLabelXsoftwareX, g_V_hasLabelXpersonX_hasXage_notXlteX10X_andXnotXbetweenX11_20XXXX_andXltX29X_orXeqX35XXXX_name, g_V_hasNotXageX_name, g_V_hasXage_gt_30X, g_V_hasXage_isXgt_30XX, g_V_hasXage_withinX27_29X_count, g_V_hasXage_withinX27X_count, g_V_hasXage_withoutX27_29X_count, g_V_hasXage_withoutX27X_count, g_V_hasXblahX, g_V_hasXk_withinXcXX_valuesXkX, g_V_hasXlabel_isXsoftwareXX, g_V_hasXlocationX, g_V_hasXname_blahX, g_V_hasXname_containingXarkXX, g_V_hasXname_endingWithXasXX, g_V_hasXname_gtXmX_andXcontainingXoXXX, g_V_hasXname_markoX, g_V_hasXname_not_containingXarkXX, g_V_hasXname_not_endingWithXasXX, g_V_hasXname_not_startingWithXmarXX, g_V_hasXname_startingWithXmarXX, g_V_hasXnullX, g_V_hasXp_neqXvXX, g_V_hasXperson_name_containingXoX_andXltXmXXX, g_V_hasXperson_name_markoX_age, g_V_in_hasIdXneqX1XX, g_V_notXhasIdXwithinXemptyXXX_count, g_V_outXcreatedX_hasXname__mapXlengthX_isXgtX3XXX_name, g_V_properties_hasKeyXnull_ageX_value, g_V_properties_hasKeyXnull_nullX, g_V_properties_hasKeyXnullX, g_V_properties_hasLabelXnullX, g_V_properties_hasValueXnull_joshX_value, g_V_properties_hasValueXnull_nullX, g_V_properties_hasValueXnullX, g_VX1AsStringX_out_hasXid_2AsStringX, g_VX1X_hasXage_gt_30X, g_VX1X_hasXcircumferenceX, g_VX1X_hasXname_markoX, g_VX1X_hasXnameX, g_VX1X_out_hasXid_2_3X, g_VX1X_out_hasXid_2AsString_3AsStringX, g_VX1X_out_hasXid_2X, g_VX1X_out_hasXid_lt_3X, g_VX1X_outE_hasXweight_inside_0_06X_inV, g_VX2X_hasXname_markoX, g_VX4X_hasXage_gt_30X, g_VXv1X_hasXage_gt_30X, g_VXv4X_hasXage_gt_30X`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_EX11X_outV_outE_hasXid_10X

          public Traversal<Edge,Edge> get_g_EX11X_outV_outE_hasXid_10X(Object e11Id,
                                                                       Object e10Id)

      Specified by:
        `get_g_EX11X_outV_outE_hasXid_10X` in class `HasTest`

    - #### get_g_V_outXcreatedX_hasXname__mapXlengthX_isXgtX3XXX_name

          public Traversal<Vertex,String> get_g_V_outXcreatedX_hasXname__mapXlengthX_isXgtX3XXX_name()

      Specified by:
        `get_g_V_outXcreatedX_hasXname__mapXlengthX_isXgtX3XXX_name` in class `HasTest`

    - #### get_g_VX1X_hasXkeyX

          public Traversal<Vertex,Vertex> get_g_VX1X_hasXkeyX(Object v1Id,
                                                              String key)

      Specified by:
        `get_g_VX1X_hasXkeyX` in class `HasTest`

    - #### get_g_VX1X_hasXname_markoX

          public Traversal<Vertex,Vertex> get_g_VX1X_hasXname_markoX(Object v1Id)

      Specified by:
        `get_g_VX1X_hasXname_markoX` in class `HasTest`

    - #### get_g_V_hasXname_markoX

          public Traversal<Vertex,Vertex> get_g_V_hasXname_markoX()

      Specified by:
        `get_g_V_hasXname_markoX` in class `HasTest`

    - #### get_g_V_hasXname_blahX

          public Traversal<Vertex,Vertex> get_g_V_hasXname_blahX()

      Specified by:
        `get_g_V_hasXname_blahX` in class `HasTest`

    - #### get_g_V_hasXblahX

          public Traversal<Vertex,Vertex> get_g_V_hasXblahX()

      Specified by:
        `get_g_V_hasXblahX` in class `HasTest`

    - #### get_g_V_hasXnullX

          public Traversal<Vertex,Vertex> get_g_V_hasXnullX()

      Specified by:
        `get_g_V_hasXnullX` in class `HasTest`

    - #### get_g_E_hasXnullX

          public Traversal<Edge,Edge> get_g_E_hasXnullX()

      Specified by:
        `get_g_E_hasXnullX` in class `HasTest`

    - #### get_g_V_hasLabelXnullX

          public Traversal<Vertex,Vertex> get_g_V_hasLabelXnullX()

      Specified by:
        `get_g_V_hasLabelXnullX` in class `HasTest`

    - #### get_g_V_hasLabelXnull_personX

          public Traversal<Vertex,Vertex> get_g_V_hasLabelXnull_personX()

      Specified by:
        `get_g_V_hasLabelXnull_personX` in class `HasTest`

    - #### get_g_V_properties_hasLabelXnullX

          public Traversal<Vertex,? extends Property<Object>> get_g_V_properties_hasLabelXnullX()

      Specified by:
        `get_g_V_properties_hasLabelXnullX` in class `HasTest`

    - #### get_g_VX1X_hasXage_gt_30X

          public Traversal<Vertex,Vertex> get_g_VX1X_hasXage_gt_30X(Object v1Id)

      Specified by:
        `get_g_VX1X_hasXage_gt_30X` in class `HasTest`

    - #### get_g_VXv1X_hasXage_gt_30X

          public Traversal<Vertex,Vertex> get_g_VXv1X_hasXage_gt_30X(Object v1Id)

      Specified by:
        `get_g_VXv1X_hasXage_gt_30X` in class `HasTest`

    - #### get_g_VX1X_out_hasXid_lt_3X

          public Traversal<Vertex,Vertex> get_g_VX1X_out_hasXid_lt_3X(Object v1Id,
                                                                      Object v3Id)

      Specified by:
        `get_g_VX1X_out_hasXid_lt_3X` in class `HasTest`

    - #### get_g_VX1X_out_hasIdX2X

          public Traversal<Vertex,Vertex> get_g_VX1X_out_hasIdX2X(Object v1Id,
                                                                  Object v2Id)

      Specified by:
        `get_g_VX1X_out_hasIdX2X` in class `HasTest`

    - #### get_g_VX1X_out_hasIdX2_3X

          public Traversal<Vertex,Vertex> get_g_VX1X_out_hasIdX2_3X(Object v1Id,
                                                                    Object v2Id,
                                                                    Object v3Id)

      Specified by:
        `get_g_VX1X_out_hasIdX2_3X` in class `HasTest`

    - #### get_g_V_hasXage_gt_30X

          public Traversal<Vertex,Vertex> get_g_V_hasXage_gt_30X()

      Specified by:
        `get_g_V_hasXage_gt_30X` in class `HasTest`

    - #### get_g_V_hasXage_isXgt_30XX

          public Traversal<Vertex,Vertex> get_g_V_hasXage_isXgt_30XX()

      Specified by:
        `get_g_V_hasXage_isXgt_30XX` in class `HasTest`

    - #### get_g_V_hasXlabel_isXsoftwareXX

          public Traversal<Vertex,Vertex> get_g_V_hasXlabel_isXsoftwareXX()

      Specified by:
        `get_g_V_hasXlabel_isXsoftwareXX` in class `HasTest`

    - #### get_g_EX7X_hasLabelXknowsX

          public Traversal<Edge,Edge> get_g_EX7X_hasLabelXknowsX(Object e7Id)

      Specified by:
        `get_g_EX7X_hasLabelXknowsX` in class `HasTest`

    - #### get_g_E_hasLabelXknowsX

          public Traversal<Edge,Edge> get_g_E_hasLabelXknowsX()

      Specified by:
        `get_g_E_hasLabelXknowsX` in class `HasTest`

    - #### get_g_E_hasLabelXnullX

          public Traversal<Edge,Edge> get_g_E_hasLabelXnullX()

      Specified by:
        `get_g_E_hasLabelXnullX` in class `HasTest`

    - #### get_g_E_hasLabelXuses_traversesX

          public Traversal<Edge,Edge> get_g_E_hasLabelXuses_traversesX()

      Specified by:
        `get_g_E_hasLabelXuses_traversesX` in class `HasTest`

    - #### get_g_V_hasLabelXperson_software_blahX

          public Traversal<Vertex,Vertex> get_g_V_hasLabelXperson_software_blahX()

      Specified by:
        `get_g_V_hasLabelXperson_software_blahX` in class `HasTest`

    - #### get_g_V_hasXperson_name_markoX_age

          public Traversal<Vertex,Integer> get_g_V_hasXperson_name_markoX_age()

      Specified by:
        `get_g_V_hasXperson_name_markoX_age` in class `HasTest`

    - #### get_g_VX1X_outE_hasXweight_inside_0_06X_inV

          public Traversal<Vertex,Vertex> get_g_VX1X_outE_hasXweight_inside_0_06X_inV(Object v1Id)

      Specified by:
        `get_g_VX1X_outE_hasXweight_inside_0_06X_inV` in class `HasTest`

    - #### get_g_V_hasXlocationX

          public Traversal<Vertex,Vertex> get_g_V_hasXlocationX()

      Specified by:
        `get_g_V_hasXlocationX` in class `HasTest`

    - #### get_g_V_in_hasIdXneqX1XX

          public Traversal<Vertex,Vertex> get_g_V_in_hasIdXneqX1XX(Object v1Id)

      Specified by:
        `get_g_V_in_hasIdXneqX1XX` in class `HasTest`

    - #### get_g_V_hasLabelXpersonX_hasXage_notXlteX10X_andXnotXbetweenX11_20XXXX_andXltX29X_orXeqX35XXXX_name

          public Traversal<Vertex,String> get_g_V_hasLabelXpersonX_hasXage_notXlteX10X_andXnotXbetweenX11_20XXXX_andXltX29X_orXeqX35XXXX_name()

      Specified by:
        `get_g_V_hasLabelXpersonX_hasXage_notXlteX10X_andXnotXbetweenX11_20XXXX_andXltX29X_orXeqX35XXXX_name` in class `HasTest`

    - #### get_g_V_both_properties_dedup_hasKeyXageX_value

          public Traversal<Vertex,Integer> get_g_V_both_properties_dedup_hasKeyXageX_value()

      Specified by:
        `get_g_V_both_properties_dedup_hasKeyXageX_value` in class `HasTest`

    - #### get_g_V_both_properties_dedup_hasKeyXageX_hasValueXgtX30XX_value

          public Traversal<Vertex,Integer> get_g_V_both_properties_dedup_hasKeyXageX_hasValueXgtX30XX_value()

      Specified by:
        `get_g_V_both_properties_dedup_hasKeyXageX_hasValueXgtX30XX_value` in class `HasTest`

    - #### get_g_V_bothE_properties_dedup_hasKeyXweightX_value

          public Traversal<Vertex,Double> get_g_V_bothE_properties_dedup_hasKeyXweightX_value()

      Specified by:
        `get_g_V_bothE_properties_dedup_hasKeyXweightX_value` in class `HasTest`

    - #### get_g_V_bothE_properties_dedup_hasKeyXweightX_hasValueXltX0d3XX_value

          public Traversal<Vertex,Double> get_g_V_bothE_properties_dedup_hasKeyXweightX_hasValueXltX0d3XX_value()

      Specified by:
        `get_g_V_bothE_properties_dedup_hasKeyXweightX_hasValueXltX0d3XX_value` in class `HasTest`

    - #### get_g_V_hasNotXageX_name

          public Traversal<Vertex,String> get_g_V_hasNotXageX_name()

      Specified by:
        `get_g_V_hasNotXageX_name` in class `HasTest`

    - #### get_g_V_hasIdX1X_hasIdX2X

          public Traversal<Vertex,Vertex> get_g_V_hasIdX1X_hasIdX2X(Object v1Id,
                                                                    Object v2Id)

      Specified by:
        `get_g_V_hasIdX1X_hasIdX2X` in class `HasTest`

    - #### get_g_V_hasLabelXpersonX_hasLabelXsoftwareX

          public Traversal<Vertex,Vertex> get_g_V_hasLabelXpersonX_hasLabelXsoftwareX()

      Specified by:
        `get_g_V_hasLabelXpersonX_hasLabelXsoftwareX` in class `HasTest`

    - #### get_g_V_hasIdXemptyX_count

          public Traversal<Vertex,Long> get_g_V_hasIdXemptyX_count()

      Specified by:
        `get_g_V_hasIdXemptyX_count` in class `HasTest`

    - #### get_g_V_hasIdXwithinXemptyXX_count

          public Traversal<Vertex,Long> get_g_V_hasIdXwithinXemptyXX_count()

      Specified by:
        `get_g_V_hasIdXwithinXemptyXX_count` in class `HasTest`

    - #### get_g_V_hasIdXwithoutXemptyXX_count

          public Traversal<Vertex,Long> get_g_V_hasIdXwithoutXemptyXX_count()

      Specified by:
        `get_g_V_hasIdXwithoutXemptyXX_count` in class `HasTest`

    - #### get_g_V_notXhasIdXwithinXemptyXXX_count

          public Traversal<Vertex,Long> get_g_V_notXhasIdXwithinXemptyXXX_count()

      Specified by:
        `get_g_V_notXhasIdXwithinXemptyXXX_count` in class `HasTest`

    - #### get_g_V_hasXage_withinX27X_count

          public Traversal<Vertex,Long> get_g_V_hasXage_withinX27X_count()

      Specified by:
        `get_g_V_hasXage_withinX27X_count` in class `HasTest`

    - #### get_g_V_hasXage_withinX27_29X_count

          public Traversal<Vertex,Long> get_g_V_hasXage_withinX27_29X_count()

      Specified by:
        `get_g_V_hasXage_withinX27_29X_count` in class `HasTest`

    - #### get_g_V_hasXage_withoutX27X_count

          public Traversal<Vertex,Long> get_g_V_hasXage_withoutX27X_count()

      Specified by:
        `get_g_V_hasXage_withoutX27X_count` in class `HasTest`

    - #### get_g_V_hasXage_withoutX27_29X_count

          public Traversal<Vertex,Long> get_g_V_hasXage_withoutX27_29X_count()

      Specified by:
        `get_g_V_hasXage_withoutX27_29X_count` in class `HasTest`

    - #### get_g_V_hasXname_containingXarkXX

          public Traversal<Vertex,Vertex> get_g_V_hasXname_containingXarkXX()

      Specified by:
        `get_g_V_hasXname_containingXarkXX` in class `HasTest`

    - #### get_g_V_hasXname_startingWithXmarXX

          public Traversal<Vertex,Vertex> get_g_V_hasXname_startingWithXmarXX()

      Specified by:
        `get_g_V_hasXname_startingWithXmarXX` in class `HasTest`

    - #### get_g_V_hasXname_endingWithXasXX

          public Traversal<Vertex,Vertex> get_g_V_hasXname_endingWithXasXX()

      Specified by:
        `get_g_V_hasXname_endingWithXasXX` in class `HasTest`

    - #### get_g_V_hasXname_not_containingXarkXX

          public Traversal<Vertex,Vertex> get_g_V_hasXname_not_containingXarkXX()

      Specified by:
        `get_g_V_hasXname_not_containingXarkXX` in class `HasTest`

    - #### get_g_V_hasXname_not_startingWithXmarXX

          public Traversal<Vertex,Vertex> get_g_V_hasXname_not_startingWithXmarXX()

      Specified by:
        `get_g_V_hasXname_not_startingWithXmarXX` in class `HasTest`

    - #### get_g_V_hasXname_not_endingWithXasXX

          public Traversal<Vertex,Vertex> get_g_V_hasXname_not_endingWithXasXX()

      Specified by:
        `get_g_V_hasXname_not_endingWithXasXX` in class `HasTest`

    - #### get_g_V_hasXperson_name_containingXoX_andXltXmXXX

          public Traversal<Vertex,Vertex> get_g_V_hasXperson_name_containingXoX_andXltXmXXX()

      Specified by:
        `get_g_V_hasXperson_name_containingXoX_andXltXmXXX` in class `HasTest`

    - #### get_g_V_hasXname_gtXmX_andXcontainingXoXXX

          public Traversal<Vertex,Vertex> get_g_V_hasXname_gtXmX_andXcontainingXoXXX()

      Specified by:
        `get_g_V_hasXname_gtXmX_andXcontainingXoXXX` in class `HasTest`

    - #### get_g_V_hasXp_neqXvXX

          public Traversal<Vertex,Vertex> get_g_V_hasXp_neqXvXX()

      Specified by:
        `get_g_V_hasXp_neqXvXX` in class `HasTest`

    - #### get_g_V_hasXk_withinXcXX_valuesXkX

          public Traversal<Vertex,String> get_g_V_hasXk_withinXcXX_valuesXkX()

      Specified by:
        `get_g_V_hasXk_withinXcXX_valuesXkX` in class `HasTest`

    - #### get_g_V_properties_hasKeyXnullX

          public Traversal<Vertex,? extends Property<Object>> get_g_V_properties_hasKeyXnullX()

      Specified by:
        `get_g_V_properties_hasKeyXnullX` in class `HasTest`

    - #### get_g_V_properties_hasKeyXnull_nullX

          public Traversal<Vertex,? extends Property<Object>> get_g_V_properties_hasKeyXnull_nullX()

      Specified by:
        `get_g_V_properties_hasKeyXnull_nullX` in class `HasTest`

    - #### get_g_V_properties_hasKeyXnull_ageX_value

          public Traversal<Vertex,Integer> get_g_V_properties_hasKeyXnull_ageX_value()

      Specified by:
        `get_g_V_properties_hasKeyXnull_ageX_value` in class `HasTest`

    - #### get_g_E_properties_hasKeyXnullX

          public Traversal<Edge,? extends Property<Object>> get_g_E_properties_hasKeyXnullX()

      Specified by:
        `get_g_E_properties_hasKeyXnullX` in class `HasTest`

    - #### get_g_E_properties_hasKeyXnull_nullX

          public Traversal<Edge,? extends Property<Object>> get_g_E_properties_hasKeyXnull_nullX()

      Specified by:
        `get_g_E_properties_hasKeyXnull_nullX` in class `HasTest`

    - #### get_g_E_properties_hasKeyXnull_weightX_value

          public Traversal<Edge,Double> get_g_E_properties_hasKeyXnull_weightX_value()

      Specified by:
        `get_g_E_properties_hasKeyXnull_weightX_value` in class `HasTest`

    - #### get_g_V_properties_hasValueXnullX

          public Traversal<Vertex,? extends Property<Object>> get_g_V_properties_hasValueXnullX()

      Specified by:
        `get_g_V_properties_hasValueXnullX` in class `HasTest`

    - #### get_g_V_properties_hasValueXnull_nullX

          public Traversal<Vertex,? extends Property<Object>> get_g_V_properties_hasValueXnull_nullX()

      Specified by:
        `get_g_V_properties_hasValueXnull_nullX` in class `HasTest`

    - #### get_g_V_properties_hasValueXnull_joshX_value

          public Traversal<Vertex,String> get_g_V_properties_hasValueXnull_joshX_value()

      Specified by:
        `get_g_V_properties_hasValueXnull_joshX_value` in class `HasTest`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.